<?php

Doo::loadCore('db/DooModel');

class eMailTemplate extends DooModel {

    public $etid;
    public $staffId;
    public $staffName;
    
    public $title;
    public $content;
    
    public $skin;
    public $annex;
    public $annexName;
    
    public $tag;
    public $status;
    public $html;
    
    public $_table = 'CLD_eMailTemplate';
    public $_primarykey = 'etid';
    
    public $_fields = array('etid', 'staffId', 'staffName', 'title', 'content', 'skin', 'annex','annexName','html'
    , 'tag', 'status');

    /*
    function getClientByCid($cid){
    	$sql = "select * from " . $this->_table . " as a left join CLD_staff as b on (a.sid=b.sid)  where a.cid= '".$cid."' " ;
		
    	$query = Doo::db ()->query ( $sql );
		
		$result = $query->fetch ();
		
		return $result;
    }
    
    public function getProjectByIdList($projectid){
    	return $this->find ( array ('where' => "pid= '".$projectid."'", 'asArray' => TRUE ) );
    }
    */
}

?>